unit Client2Form;

interface

uses
  Server_TLB, //The server type library import unit
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls;

type
  TForm2 = class(TForm)
    Timer1: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    Server: IMyOleServer;
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}

uses
  ComObj;

procedure TForm2.FormCreate(Sender: TObject);
begin
  Server := CoMyOleServer.Create;
  //Execute the OnTimer handler straight
  //away to avoid initial 1/2 sec delay
  if Assigned(Timer1.OnTimer) then
    Timer1.OnTimer(Timer1);
end;

procedure TForm2.Timer1Timer(Sender: TObject);
begin
  try
    Caption := DateTimeToStr(Server.CurrentDateTime)
  except
    // if there was an Automation problem
    on EOleError do
      Caption := 'Cannot talk to Automation server right now';
  end;
  // Make the application icon match the form caption
  Application.Title := Caption;
end;

end.
