unit ClientForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, ComObj;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    Server: Variant
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Server := CreateOLEObject('Server.MyOleServer');
  //Execute the OnTimer handler straight
  //away to avoid initial 1/2 sec delay
  if Assigned(Timer1.OnTimer) then
    Timer1.OnTimer(Timer1);
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  try
    Caption := Server.CurrentDateTime
  except
    // if there was an Automation problem
    on EOLEError do
      Caption := 'Cannot talk to Automation server right now';
  end;
  // Make the application icon match the form caption
  Application.Title := Caption;
end;

end.
