unit WordEg2U;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComObj, StdCtrls, OleServer, Word97;

type
  TForm1 = class(TForm)
    btnStartWord: TButton;
    btnStopWord: TButton;
    btnNewDoc: TButton;
    btnInsertText: TButton;
    memTextForWord: TMemo;
    MSWord: TWordApplication;
    procedure btnStartWordClick(Sender: TObject);
    procedure btnStopWordClick(Sender: TObject);
    procedure btnNewDocClick(Sender: TObject);
    procedure btnInsertTextClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.btnStartWordClick(Sender: TObject);
begin
  MSWord.Connect;
  MSWord.Visible := True
end;

procedure TForm1.btnStopWordClick(Sender: TObject);
var
  SaveChanges: OleVariant;
begin
  SaveChanges := False;
  MSWord.Quit(SaveChanges);
  MSWord.Disconnect
end;

procedure TForm1.btnNewDocClick(Sender: TObject);
begin
  MSWord.Documents.Add(EmptyParam, EmptyParam)
end;

procedure TForm1.btnInsertTextClick(Sender: TObject);
var
  DateTimeFormat, InsertAsField: OleVariant;
  Sel: Selection;
begin
  Sel := MSWord.Selection;
  Sel.TypeText(memTextForWord.Text);
  DateTimeFormat := 'dddd, dd MMMM yyyy';
  InsertAsField := False;
  Sel.InsertDateTime(
    DateTimeFormat, InsertAsField, EmptyParam);
  Sel.TypeParagraph
end;

end.
